=== gfxdrivers/sh772x/kernel-module/Makefile ===
obj-m += sh772x_gfx.o

sh772x_gfx-y += sh772x_driver.o sh7722.o sh7723.o
