=== gfxdrivers/davinci/kernel-module/c64x/Makefile ===
obj-$(CONFIG_DAVINCI_C64X) += c64x.o
