## directfb 1.2.10.0

=== debian/changelog ===
directfb (1.2.10.0-8+deb9u1) stretch; urgency=medium

  * debian/libdirectfb-1.2-9.install: Fix architecture-based filter to
    actually install drivers. (Closes: #878324)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 03 Feb 2018 15:50:59 +0100

directfb (1.2.10.0-8) unstable; urgency=medium

  * debian/*.install: Also install davinci_c64x on armhf.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 01 Jan 2017 13:58:58 +0100

directfb (1.2.10.0-7) unstable; urgency=medium

  * debian/control: Remove libmpeg3-dev again. It was copied by accident from
    the version for experimental.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 31 Dec 2016 19:21:17 +0100

directfb (1.2.10.0-6) unstable; urgency=medium

  * Acknowledge NMU. (Closes: #751764)
  * Merge changes from 1.4.17-1.
  * Update upstream homepage to directfb.net everywhere.
  * debian/{control,rules,compat}: Bump debhelper compat to 10.
  * Use -dbgsym packages. (Closes: #703157)
  * debian/rules:
    - Use dh more consistently.
    - Install NEWS as changelog.
  * debian/*.install:
    - Update for Multi-Arch paths.
    - Use dh-exec to simplify install files.
    - No longer install directfb-config. directfb provides pkg-config files.
    - Move directfb-csource to -bin.
    - Do not install static libraries of drivers.
  * debian/{control,rules}: Remove udebs since GTK+ 2 switched to X11 years
    ago.
  * debian/control:
    - Adopt package. (Closes: #844130)
    - Update Vcs-*.
    - Bump Standards-Version to 3.9.8.
    - Remove duplicate sections.
    - Mark as M-A: same where possible.
  * debian/{rules,preinst}: Replace symlinks with directories.
  * debian/copyright: Convert to CF-1.0.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 31 Dec 2016 15:42:31 +0100

directfb (1.2.10.0-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on x32. (Closes: #699867)

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 15 Feb 2016 00:17:49 +0100

directfb (1.2.10.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/control: drop build depend on libts-dev. 
  * d/libdirectfb-1.2-9.install.*: drop install libdirectfb_tslib.so
  * d/libdirectfb-dev.install.*: drop install libdirectfb_tslib.a
  * d/control: bump Standards-Version to 3.9.6 (no changes needed).

 -- Hector Oron <zumbi@debian.org>  Mon, 16 Jun 2014 13:51:00 +0200

directfb (1.2.10.0-5) unstable; urgency=low

  * Update debian/control:
    - bump debhelper build dependency to 9.
    - drop libsysfs-dev build dependency. (Closes: #627651)
    - bump Standards-Version to 3.9.3 (no changes needed).
  * Add debian/patches/100_fix_format_string_errors.patch:
    Fix FTBFS with -Werror=format-security. Thanks to Micah Gersten.
    (Closes: #645809)
  * libpng1.5 transition:
    - add support for libpng 1.5. (Closes: #648138)
    - replace libpng12-dev build dependency by libpng-dev. (Closes: #662302)
  * Add multiarch support. (Closes: #663039)

 -- Fathi Boudra <fabo@debian.org>  Sat, 19 May 2012 20:22:53 +0300

directfb (1.2.10.0-4.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "directfb ftbfs on armel. Implicit declaration error"
    - Thanks Peter Green for bug report and patch (Closes: #644782)
  * Remove m4 macros when calling clean target 

 -- Hector Oron <zumbi@debian.org>  Mon, 17 Oct 2011 12:53:01 +0100

directfb (1.2.10.0-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Changed designation of the architecture for libsysfs-dev and libts-dev
    from list of architectures to linux-any. (Closes: #596949, #634512)
  * Fix Build on Renesas sh4. (Closes: #635888)
    Update patches/02_fix_sh772x_build.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 10 Aug 2011 07:27:09 +0900

directfb (1.2.10.0-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix typo for LDFLAGS. (Closes: #624875, #625178)

 -- Andres Mejia <amejia@debian.org>  Sun, 24 Jul 2011 13:19:08 -0400

directfb (1.2.10.0-4) unstable; urgency=low

  * Drop libmpeg3-dev build-dependency/dependency. (Closes: #507527)
  * Conflict on armel architecture only. (Closes: #584617)
  * Bump Standards-Version to 3.9.0 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Wed, 30 Jun 2010 20:50:02 +0300

directfb (1.2.10.0-3) unstable; urgency=low

  * Add missing Conflicts against libdirectfb-1.2-0 on armel architecture.
    (Closes: #576835)

 -- Fathi Boudra <fabo@debian.org>  Fri, 16 Apr 2010 14:41:01 +0300

directfb (1.2.10.0-2) unstable; urgency=low

  * Keep wilcard usage to install libdirectfb. Fix kfreebsd FTBFS.

 -- Fathi Boudra <fabo@debian.org>  Thu, 25 Mar 2010 09:44:25 +0100

directfb (1.2.10.0-1) unstable; urgency=low

  * Rename binary packages caused by a soname change.
  * Fix some lintian warnings.

 -- Fathi Boudra <fabo@debian.org>  Thu, 25 Mar 2010 08:28:33 +0100

directfb (1.2.10really1.2.8-1) unstable; urgency=medium

  * Restore directfb 1.2.8 as 1.2.10really1.2.8 to avoid more breakage during
    libjpeg transition. (Closes: #569815)

 -- Fathi Boudra <fabo@debian.org>  Sun, 14 Feb 2010 19:58:46 +0100

directfb (1.2.10-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 14 Feb 2010 11:05:38 +0100

directfb (1.2.9-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update debian/control:
    - Remove quilt build dependency.
    - Update (build-)dependency on libjpeg62-dev to libjpeg-dev.
      (Closes: #569232)
    - Bump Standards-Version to 3.8.4 (no changes needed).
    - Fix typo in package description: "This packages". (Closes: #557502)
  * Update debian/rules:
    - Enable parallel build (pass --parallel option to dh).

 -- Fathi Boudra <fabo@debian.org>  Sun, 14 Feb 2010 09:58:07 +0100

directfb (1.2.8-5) unstable; urgency=low

  * Apply patch from Samuel Thibault to fix FTBFS on non-linux ports.
    (Closes: #550889)
  * Bump Standards-Version from 3.8.0 to 3.8.2 (no changes needed).


