=== debian/control ===
Source: directfb
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper (>= 10),
 dh-exec,
 libfreetype6-dev,
 libgl1-mesa-dev,
 libjpeg-dev,
 libpng-dev,
 libx11-dev,
 libxext-dev,
 pkg-config,
 x11proto-core-dev,
 zlib1g-dev
Standards-Version: 3.9.8
Section: libs
Homepage: http://www.directfb.net
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/directfb.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/directfb.git

Package: libdirectfb-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libdirectfb-1.2-9 (= ${binary:Version}),
 libdirectfb-extra,
 libfreetype6-dev,
 libgl1-mesa-dev,
 libjpeg-dev,
 libpng-dev,
 libx11-dev,
 libxext-dev,
 pkg-config,
 x11proto-core-dev,
 zlib1g-dev,
 ${misc:Depends}
Description: direct frame buffer graphics library - development files
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the files needed to compile and link programs
 which use DirectFB.

Package: libdirectfb-1.2-9
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: direct frame buffer graphics (shared libraries)
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the shared libraries and drivers.

Package: libdirectfb-bin
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks: libdirectfb-dev (<< 1.2.10.0-6)
Replaces: libdirectfb-dev (<< 1.2.10.0-6)
Description: direct frame buffer graphics - binaries
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the DirectFB background configuration tool
 and the source generation tool.

Package: libdirectfb-extra
Architecture: any
Multi-Arch: same
Depends:
 libdirectfb-1.2-9 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: direct frame buffer graphics - extra providers
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the following providers:
 .
   * image PNG
   * image JPEG
   * font FreeType
   * system X11
