=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-format

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_HOST_ARCH_OS), linux)
  conf_options := \
    --with-gfxdrivers=all \
    --enable-video4linux2
else
  conf_options := \
    --with-gfxdrivers=none \
    --with-inputdrivers=ps2mouse
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		$(conf_options) \
		--enable-static \
		--enable-unique \
		--disable-sdl \
		--disable-vnc \
		--enable-x11

override_dh_auto_install:
	dh_auto_install -- -j1

override_dh_installchangelogs:
	dh_installchangelogs NEWS

.PHONY: override_dh_auto_test
