## directfb 1.4.3

=== debian/changelog ===
directfb (1.4.3-1) experimental; urgency=low

  * New upstream release. (Closes: #549633)
    - Add pxa3xx, new driver for the 2D graphics accelerator found on PXA3xx
      processors.
  * Fix FTBFS on kFreeBSD: update per-architecture install files.
    (Closes: #565853)
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update debian/control:
    - Remove quilt build dependency.
    - Update (build-)dependency on libjpeg62-dev to libjpeg-dev.
    - Bump Standards-Version to 3.8.4 (no changes needed).
    - Fix typo in package description: "This packages". (Closes: #557372)
  * Update debian/rules:
    - Enable parallel build (pass --parallel option to dh).

 -- Fathi Boudra <fabo@debian.org>  Sun, 14 Feb 2010 10:50:34 +0100

directfb (1.4.1-2) experimental; urgency=low

  * Merge changes from 1.2 series:
    - Use per-architecture install files.
    - Add missing libdavinci_c64x library and c64x include on armel
      architecture.
  * Update debian/control:
    - Bump Standards-Version from 3.8.2 to 3.8.3 (no changes needed).
  * Add debian/README.source file.

 -- Fathi Boudra <fabo@debian.org>  Sun, 16 Aug 2009 19:51:17 +0200

directfb (1.4.1-1) experimental; urgency=low

  * New upstream release. (Closes: #537224)
    - Add gl gfx driver and zytronic input driver.
    - debian/patches/05_link_dynamic.patch: Refreshed.
    - debian/patches/93_fix_unicode_key_handling.patch: Refreshed.
  * Update debian/control:
    - Add libgl1-mesa-dev build dependency and dependency to libdirectfb-dev
      package.
  * Update debian/libdirectfb-1.4-0.install file.
  * Update debian/debian/libdirectfb-dev.install file.

 -- Fathi Boudra <fabo@debian.org>  Sat, 15 Aug 2009 12:40:36 +0200
