=== debian/control ===
Source: directfb
Priority: optional
Maintainer: Debian DirectFB Team <pkg-directfb-devel@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Otavio Salvador <otavio@debian.org>, Luis Mondesi <lemsx1@gmail.com>
Build-Depends: debhelper (>= 7.4.13), autoconf, automake,
 libtool, pkg-config, libfreetype6-dev, libjpeg-dev, libpng12-dev,
 libts-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libmpeg3-dev, zlib1g-dev, x11proto-core-dev, libx11-dev, libxext-dev,
 libsysfs-dev [alpha amd64 arm armel avr32 hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390 sh4],
 libgl1-mesa-dev
Standards-Version: 3.8.4
Section: libs
Homepage: http://www.directfb.org/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-directfb/directfb/
Vcs-Svn: svn://svn.debian.org/pkg-directfb/directfb/trunk/

Package: libdirectfb-1.4-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: direct frame buffer graphics - shared libraries
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.

Package: libdirectfb-1.4-0-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libdirectfb-1.4-0
Description: direct frame buffer graphics - shared libraries
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the shared libraries for use with the Debian
 installer.

Package: libdirectfb-bin
Section: libs
Architecture: any
Depends: libdirectfb-1.4-0 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: direct frame buffer graphics - binaries
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the DirectFB background configuration tool
 and the directfbrc man page.

Package: libdirectfb-bin-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: libdirectfb-1.4-0-udeb (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: direct frame buffer graphics - binaries
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the DirectFB dfbinfo debugging tool.

Package: libdirectfb-extra
Section: libs
Architecture: any
Depends: libdirectfb-1.4-0 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: direct frame buffer graphics - extra providers
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the following providers:
 .
   * image PNG
   * image JPEG
   * font FreeType
   * system X11

Package: libdirectfb-dev
Section: libdevel
Architecture: any
Depends: libdirectfb-1.4-0 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends},
 libdirectfb-extra, libfreetype6-dev, libjpeg-dev, libpng12-dev,
 zlib1g-dev (>= 1:1.1.3), libmpeg3-dev, x11proto-core-dev, libx11-dev,
 libxext-dev, libsysfs-dev, libgl1-mesa-dev
Description: direct frame buffer graphics library - development files
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the files needed to compile and link programs
 which use DirectFB.

Package: libdirectfb-1.4-0-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libdirectfb-1.4-0 (= ${binary:Version}), ${misc:Depends}
Description: direct frame buffer graphics - shared libraries debug symbols
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains DirectFB shared libraries debugging symbols.

Package: libdirectfb-bin-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libdirectfb-1.4-0-dbg (= ${binary:Version}),
 libdirectfb-bin (= ${binary:Version}), ${misc:Depends}
Description: direct frame buffer graphics - binaries debug symbols
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains DirectFB binaries debugging symbols.

Package: libdirectfb-extra-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libdirectfb-1.4-0-dbg (= ${binary:Version}),
 libdirectfb-extra (= ${binary:Version}), ${misc:Depends}
Description: direct frame buffer graphics - extra provider debug symbols
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains DirectFB extra provide debugging symbols.
