## directfb 1.7.7

=== debian/changelog ===
directfb (1.7.7-11.1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:32:41 +0000

directfb (1.7.7-11.1ubuntu1) noble; urgency=medium

  * debian/patches/64-bit-time-t-compat.patch: 64-bit time_t
    compatibility for linux input_events.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 17 Mar 2024 17:25:58 +0000

directfb (1.7.7-11.1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:19:46 +0000

directfb (1.7.7-11.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062332

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 01:36:26 +0000

directfb (1.7.7-11) unstable; urgency=medium

  * QA upload.
  * Ship c64xdump on armel/armhf.  (Closes: #1012383)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 06 Jun 2022 21:26:27 +0200

directfb (1.7.7-10) unstable; urgency=medium

  [ Andreas Beckmann ]
  * QA upload.
  * Make the package buildable with gbp.
  * Switch to debhelper-compat (= 13).
  * The bullseye toolchain defaults to linking with --as-needed.
  * Set Rules-Requires-Root: no.
  * Update Lintian overrides.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Apr 2022 18:18:54 +0200

directfb (1.7.7-9) unstable; urgency=medium

  * QA upload.
  * Add missing #include to ensure makedev() is defined.  (Closes: #924327)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 16 Mar 2019 17:29:57 +0100

directfb (1.7.7-8) unstable; urgency=medium

  * QA upload.
  * Tweak reproducible patch on top of new release.

  [ Reiner Herrmann ]
  * d/p/reproducible_build.patch:
    Make build reproducible (Closes: #828745)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Mar 2018 18:33:45 +0200

directfb (1.7.7-7) unstable; urgency=medium

  * QA upload.
  * debian/patches: Fix client->gfx_state initialisation. (LP: #1737933)
  * debian/control:
    - Move to salsa.debian.org.
    - Bump Standards-Version.
    - Orphan package.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 03 Feb 2018 15:39:17 +0100

directfb (1.7.7-6) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Configure flux for the build architecture (Closes: #872370)

  [ Sebastian Ramacher ]
  * debian/libdirectfb-dev.install: Remove dh-exex shebang, it's no longer
    needed.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 03 Sep 2017 22:38:56 +0200

directfb (1.7.7-5) unstable; urgency=medium

  * debian/{patches,*.install}: Turn libdavinci_c64x into a convenience
    library. (Closes: #872306)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 16 Aug 2017 12:05:52 +0200

directfb (1.7.7-4) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: Bump Standards-Version.
  * debian/*.preinst: Removed, no longer needed.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 15 Aug 2017 19:57:10 +0200

directfb (1.7.7-3) experimental; urgency=medium

  * debian/patches: add another missing file.
  * debian/copyright: Fix typo.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 20 Mar 2017 00:16:49 +0100

directfb (1.7.7-2) experimental; urgency=medium

  * debian/patches: Add missing files from upstream (Closes: #598976)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 16 Mar 2017 21:00:10 +0100

directfb (1.7.7-1) experimental; urgency=medium

  * New upstream release. (Closes: #645624) (LP: #1180318)
  * Build ++DFB package. (Closes: #413371)
  * SONAME bump: 1.4-6 -> 1.7-7.
  * debian/rules:
    - Enable mesa support.
    - Use dh_makeshlibs override since there are no symbol files at the
      moment.
    - Build with all hardening flags.
    - Use flux to re-generate .cpp/.h files from .flux files.
    - Disable uniquewm, because it does not build at the moment.
  * debian/copyright: Update using decopy and document flux.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 23 Feb 2017 23:45:05 +0100

directfb (1.4.17-1) experimental; urgency=medium

  * New upstream release.
  * SONAME bump: 0 -> 6.
  * Update upstream homepage to directfb.net everywhere.
  * debian/control: Adopt package. (Closes: #844130)
  * debian/{control,rules,compat}: Bump debhelper compat to 10.
  * Use -dbgsym packages. (Closes: #703157)
  * debian/rules:
    - Use dh more consistently.
    - Install NEWS as changelog.
  * debian/*.install:
    - Update for Multi-Arch paths.
    - Use dh-exec to simplify install files.
    - No longer install directfb-config. directfb provides pkg-config files.
    - Move directfb-csource to -bin.
    - Remove default font implementation, replaced by dgiff.
    - Do not install static libraries of drivers.
  * debian/{control,rules}: Remove udebs since GTK+ 2 switched to X11 years
    ago.
  * debian/control:
    - Fix dependencies in -dev.
    - Update Vcs-*.
    - Bump Standards-Version to 3.9.8.
    - Remove duplicate sections.
    - Drop libsysfs-dev (Closes: #689876)
    - Mark as M-A: same where possible.
    - Move libdirectfb-extras to Suggests.
  * debian/patches: Refresh patches and remove those integrated upstream.
  * debian/{rules,preinst}: Replace symlinks with directories.
  * debian/copyright: Convert to CF-1.0. Thanks to Thorsten Alteholz for some
    hints.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 26 Jan 2017 23:27:27 +0100

directfb (1.4.3-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Merge from 1.2.10.0-5.1:
    - d/control: drop build depend on libts-dev.
    - d/libdirectfb-1.4-0.install.*: drop install libdirectfb_tslib.so
    - d/libdirectfb-dev.install.*: drop install libdirectfb_tslib.a
  * Merge from 1.2.10.0-5:
    - add support for libpng 1.5.
    - replace libpng12-dev build dependency by libpng-dev.
  * Merge from 1.2.10.0-4.3:

