=== debian/control ===
Source: directfb
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: dpkg-dev (>= 1.22.5),
 debhelper-compat (= 13),
 dh-exec,
 libdrm-dev,
 libfreetype6-dev,
 libgbm-dev,
 libgl1-mesa-dev,
 libgles2-mesa-dev,
 libjpeg-dev,
 libpng-dev,
 libx11-dev,
 libxext-dev,
 pkg-config,
 x11proto-core-dev,
 zlib1g-dev
Rules-Requires-Root: no
Standards-Version: 4.1.3
Section: libs
Homepage: http://www.directfb.net
Vcs-Git: https://salsa.debian.org/debian/directfb.git
Vcs-Browser: https://salsa.debian.org/debian/directfb

Package: libdirectfb-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libdirectfb-1.7-7t64 (= ${binary:Version}),
 lib++dfb-1.7-7t64 (= ${binary:Version}),
 libfreetype6-dev,
 libgl1-mesa-dev,
 libjpeg-dev,
 libmpeg3-dev,
 libpng-dev,
 libx11-dev,
 libxext-dev,
 pkg-config,
 x11proto-core-dev,
 zlib1g-dev,
 ${misc:Depends}
Description: direct frame buffer graphics library - development files
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the files needed to compile and link programs
 which use DirectFB.

Package: libdirectfb-1.7-7t64
Provides: ${t64:Provides}
Replaces: libdirectfb-1.7-7
Breaks: libdirectfb-1.7-7 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: libdirectfb-extra
Description: direct frame buffer graphics (shared libraries)
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the shared libraries and drivers.

Package: lib++dfb-1.7-7t64
Provides: ${t64:Provides}
Replaces: lib++dfb-1.7-7
Breaks: lib++dfb-1.7-7 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: direct frame buffer graphics (++DFB shared library)
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the ++DFB shared librariy.

Package: libdirectfb-bin
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks: libdirectfb-dev (<< 1.4.17-1)
Replaces: libdirectfb-dev (<< 1.4.17-1)
Description: direct frame buffer graphics - binaries
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the DirectFB background configuration tool
 and the source generation tool.

Package: libdirectfb-extra
Architecture: any
Multi-Arch: same
Depends:
 libdirectfb-1.7-7t64 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: direct frame buffer graphics - extra providers
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the following providers:
 .
   * image PNG
   * image JPEG
   * font FreeType
   * system X11
