=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/architecture.mk

conf_options  = --disable-osx
conf_options += --disable-sdl
conf_options += --disable-vnc
conf_options += --without-tests

conf_options += --enable-mesa
conf_options += --enable-x11
conf_options += --enable-zlib

ifeq ($(DEB_HOST_ARCH_OS),linux)
  conf_options += --with-gfxdrivers=all
  conf_options += --enable-video4linux2
else
  conf_options += --with-gfxdrivers=none
  conf_otpions += --with-inputdrivers=ps2mouse
endif

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean -Dflux
	dh_auto_clean

override_dh_auto_configure:
	dh_auto_configure -Dflux -- --host=$(DEB_BUILD_GNU_TYPE)
	dh_auto_build -Dflux
	cp -r flux-files/* .
	PATH=$(CURDIR)/flux/src:$$PATH \
		dh_auto_configure -- $(conf_options)

override_dh_auto_install:
	dh_auto_install -- -j1

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_installchangelogs:
	dh_installchangelogs NEWS
