=== debian/watch ===
version=4
http://www.directfb.net/index.php?path=Main/Downloads .*/DirectFB-(\d.*)\.tar\.gz
